summaryrefslogtreecommitdiffstats
path: root/ubuntu/_base/applications/settings/tde-systemsettings/debian/tde-systemsettings-trinity.preinst
diff options
context:
space:
mode:
authorMichele Calgaro <michele.calgaro@yahoo.it>2021-07-04 21:06:02 +0900
committerMichele Calgaro <michele.calgaro@yahoo.it>2021-07-04 21:06:02 +0900
commitbd72eef4a4458f8d2e52609d7b6cf3efe12a0177 (patch)
treeb797d29ee85d482247cfecda13d1fb572e4c4d62 /ubuntu/_base/applications/settings/tde-systemsettings/debian/tde-systemsettings-trinity.preinst
parent5051f08d847e70346920d72e34da55558b89145c (diff)
downloadtde-packaging-bd72eef4.tar.gz
tde-packaging-bd72eef4.zip
Rearranged applications folder into sub categories.
Signed-off-by: Michele Calgaro <michele.calgaro@yahoo.it>
Diffstat (limited to 'ubuntu/_base/applications/settings/tde-systemsettings/debian/tde-systemsettings-trinity.preinst')
-rw-r--r--ubuntu/_base/applications/settings/tde-systemsettings/debian/tde-systemsettings-trinity.preinst29
1 files changed, 29 insertions, 0 deletions
diff --git a/ubuntu/_base/applications/settings/tde-systemsettings/debian/tde-systemsettings-trinity.preinst b/ubuntu/_base/applications/settings/tde-systemsettings/debian/tde-systemsettings-trinity.preinst
new file mode 100644
index 000000000..f7b840ea2
--- /dev/null
+++ b/ubuntu/_base/applications/settings/tde-systemsettings/debian/tde-systemsettings-trinity.preinst
@@ -0,0 +1,29 @@
+#!/bin/sh -e
+
+case "$1" in
+
+ upgrade)
+
+ # Remove wrong previous used file/dir:
+ FILE="/etc/xdg/menus/kde-applications-merged/system-settings-merge.menu"
+ SUBDIR="/etc/xdg/menus/kde-applications-merged"
+ if [ ! -L "$SUBDIR" ] && [ -d "$SUBDIR" ]; then
+ if [ -f "$FILE" ]; then rm -f "$FILE"; fi
+ rmdir --ignore-fail-on-non-empty "$SUBDIR"
+ fi
+ ;;
+
+ install|abort-upgrade)
+ ;;
+
+ *)
+ echo "preinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+
+esac
+
+#DEBHELPER#
+
+exit 0
+